
/*
 * This file is a part of the CaosDB Project.
 *
 * Copyright (C) 2021 Timm Fitschen <t.fitschen@indiscale.com>
 * Copyright (C) 2021 IndiScale GmbH <info@indiscale.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 */
#include <memory>                  // for allocator
#include "caosdb/authentication.h" // for PlainPasswordAuthenticator
#include "gtest/gtest_pred_impl.h" // for Test, SuiteApiResolver, TEST, Tes...

namespace caosdb::connection {
using caosdb::authentication::PlainPasswordAuthenticator;

TEST(test_connection, connection_ssl_authentication_error_wrong_credentials) {
  const auto *const user = "not-a-user-23461237";
  const auto *const password = "very-c-cred";

  auto auth = PlainPasswordAuthenticator(user, password);
}

} // namespace caosdb::connection
